# -*- rpm-spec -*-
# $Id: kernel-source-slmodem,v 1.1 2004/04/26 14:37:05 grigory Exp $

%define module_name slmodem
%define module_version 2.9.6
%define module_release alt2
%define module_source slmodem-%{module_version}.tar.gz
%define module_source_dir %{module_name}-%{module_version}

#### MODULE SOURCES ####
Name:          kernel-source-%{module_name}
Version:       %{module_version}
Release:       %{module_release}
Summary:       Linux %{module_name} modules sources
License:       Proprietary
Group:         Development/Kernel
BuildArch:     noarch
Source0:       %{module_source}
Patch0:		slmodem-2.9.6-alt-drivers-Makefile.patch

Packager:       Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
%{module_name} modules sources for Linux kernel

%prep
%setup -c -q
%patch0 -p0

%install
mkdir -p %{buildroot}%{_usrsrc}/kernel/sources
mv %{module_source_dir} kernel-source-%{module_name}-%{module_version}
tar -c kernel-source-%{module_name}-%{module_version} | bzip2 -c > \
    %{buildroot}%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%files
%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%changelog
* Tue May 18 2004 Anton Farygin <rider@altlinux.ru> 2.9.6-alt2
- fixed drivers/Makefile for make install without root priveleges

* Wed Apr 14 2004 Grigory Milev <week@altlinux.ru> 2.9.6-alt1
- new version released

* Thu Jan 22 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.9.5-alt1
- Initial build


